Package ru.bitel.bgbilling.kernel.event

# Interface ErrorReturnableEvent

All Known Implementing Classes:
  `ActionAfterEvent`, `ActionBeforeEvent`, `ActionEvent`, `AddAdditionalAgreementEvent`, `AdditionalActionEvent`, `AdditionalAgreementEvent`, `AGRRequestEvent`, `AlfabankAutopaymentSumEvent`, `AppsEvent`, `AssistantActionsListEvent`, `BeforeLoginDeleteEvent`, `BeforeServiceDeleteEvent`, `BeforeSubscribeEvent`, `CalculateEvent`, `CancelTariffEvent`, `CardPubActivateEvent`, `ChangeContractLimitEvent`, `ChangePacketSubscriptionEvent`, `ChangeTariffByTaskEvent`, `ChronoPayAutopaymentSumEvent`, `ClosePacketSubscriptionEvent`, `CloudPaymentsAutopaymentSumEvent`, `CommandEvent`, `ContractAddingSubEvent`, `ContractCommentPatternEvent`, `ContractCreatedEvent`, `ContractModifiedModuleEvent`, `ContractObjectParameterBeforeUpdateEvent`, `ContractParamBeforeChangeEvent`, `ContractSetStatusLogicEvent`, `ContractStatusChangingCheck`, `ContractStatusChangingEvent`, `ContractWebLoginEvent`, `ConvergenceBalanceEvent`, `CreateProblemFromCallEvent`, `DebetStatusManageOpenGetAdditionalCharge`, `DocumentGetPatternListEvent`, `FiasGetAbonentLocationFind`, `FlowAgentInterfaceMapReloadedEvent`, `ForpostCameraAddEvent`, `GazprombankAutopaymentSumEvent`, `GetAdditionalActionListEvent`, `GetAdditionalWebActionListEvent`, `GetAttensionEvent`, `GetChangeTariffDatesEvent`, `GetChargeTypeEvent`, `GetClosePacketDatesEvent`, `GetContractCardsList`, `GetContractStatusChangeDatesEvent`, `GetOpenPacketDatesEvent`, `GetPacketDatesEvent`, `GetTariffListEvent`, `InetAccountingPeriodActivateEvent`, `InetReloadLocalEvent`, `InetServChangingEvent`, `ru.bitel.bgbilling.kernel.event.common.LocalEvent`, `LogProcessInterrupted`, `MegogoCreateUserEvent`, `MegogoSubscriptionUpdateEvent`, `MobileRequestEvent`, `MPSBeforePaymentEvent`, `MPSBeforeRequestEvent`, `MPSBeforeResponseEvent`, `MPSSbrfSumEvent`, `MTSbankAutopaymentSumEvent`, `OnContractWrapEvent`, `OpenPacketSubscriptionEvent`, `OpenPeriodRequestEvent`, `PaymasterAutopaymentSumEvent`, `PaymentChangingEvent`, `PayonlineAutopaymentSumEvent`, `ProductModifyEvent`, `ProductOfferingListEvent`, `ProductOrderEvent`, `ProductPeriodModifyEvent`, `PSBAutopaymentSumEvent`, `RadiusAuthenticationEvent`, `RegisterTaskClosedEvent`, `RegisterTaskProcessEvent`, `RegisterTaskUpdateEvent`, `RemoveAdditionalAgreementEvent`, `RFIeCommerceAutopaymentSumEvent`, `SberbankAutopaymentSumEvent`, `SignAdditionalAgreementEvent`, `SormUploadEvent`, `SubscriptionTypeListAvailableEvent`, `TariffOptionBeforeActivateEvent`, `TariffOptionListAvailableEvent`, `TinkoffAutopaymentSumEvent`, `TopicWillBeCreated`, `TvAccountModifyEvent`, `TvReloadLocalEvent`, `UnitellerAutopaymentSumEvent`, `UnitellerSumEvent`, `UnsignAdditionalAgreementEvent`, `ValidateTextParamEvent`, `VepayAutopaymentSumEvent`, `VepaySumEvent`, `VoiceDevicesReloadLocalEvent`, `WiFiActivateEvent`, `YoomoneyAutopaymentSumEvent`

    public interface ErrorReturnableEvent

Интерфейс, который надо имплементировать в эвенте, в котором можно делать setError и тогда по итогам после обработки события в EventProcessor бросится BGMessageException

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getError()` |
  `void` | `setError​(java.lang.String error)` |

- ## Method Details

  - ### getError

    java.lang.String getError()

  - ### setError

    void setError​(java.lang.String error)